Subject: bug#481: gparted-1.0.0-0.1 comes with dependencies for systemd components

From: Mark Hindley <[email-masked]>
Date: Wed, 3 Jun 2020 11:37:09 +0100

On Wed, Jun 03, 2020 at 11:16:43AM +0100, Klaus Ethgen wrote:
> > However, Devuan has libpam-elogind which provides libpam-systemd so that
> > dependencies like this work.
> 
> Well, first it is not only systemd than also policykit.
> 
> But I tried to install libpam-elogind which tried to remove the safety
> package prevent-systemd-completely due to libpam-systemd.

I don't know what the prevent-systemd-completely package you refer to is or
where it came from. It isn't part of Devuan.

PID1 systemd is removed from Devuan already; you don't need to do anything else.

> I do not get it why I would need a additional daemon that I don't use
> and don't want.

Well you were trying to install gparted and that does require logind
functionality so you do want it and would use it, if only indirectly.

If you want to avoid that you could consider using one of the command line
partitioners like parted, fdisk....

> Back to the policykit dependency. That would pull all that unneeded and
> unwanted pöttering-Kits like consolekit and (as shown) policykit. I will
> not allow such stuff on my system. They address problems that would not
> exists without pötterware.

Yes policykit requires either consolekit or elogind. Devuan has no plans or
reason to remove policykit, consolekit or elogind dependencies from
packages. Although, again, you are free to choose what to install. It is
certainly possible to use Devuan Beowulf without policykit, consolekit or
elogind, but you will need to choose your packages carefully and gparted is not
currently one of them.

Best wishes

Mark